From 2c65a70c448a450ab1eacdd8e13f6b4917da2a5b Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 18:11:06 +0000
Subject: [PATCH 63/220] cosmic-icons


---

diff --git a/rpms/cosmic-icons/cosmic-icons.spec b/rpms/cosmic-icons/cosmic-icons.spec
new file mode 100644
index 0000000..4fd504b
--- /dev/null
+++ b/rpms/cosmic-icons/cosmic-icons.spec
@@ -0,0 +1,40 @@
+%define debug_package %{nil}
+
+%global ver ###
+%global commit ###
+%global date ###
+
+Name:           cosmic-icons
+Version:        %{ver}~%{date}
+Release:        %autorelease
+Summary:        Icon theme for the COSMIC Desktop Environment.
+
+SourceLicense:  CC-BY-SA-4.0
+License:        GPL-3.0
+
+URL:            https://github.com/pop-os/cosmic-icons
+Source:         cosmic-icons-%{ver}.tar.xz
+
+BuildRequires:  just
+
+%global _description %{expand:
+%{summary}.}
+
+%description %{_description}
+
+%prep
+%autosetup -n cosmic-icons
+
+%build
+
+%install
+just rootdir=%{buildroot} install
+
+%files
+%{_datadir}/icons/Cosmic/scalable/*
+%{_datadir}/icons/Cosmic/index.theme
+
+
+%changelog
+%autochangelog
+    
\ No newline at end of file
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
new file mode 100644
index 0000000..153fa71
--- /dev/null
+++ b/scripts/srpm.sh
@@ -0,0 +1,51 @@
+#!/bin/bash -x
+
+# name of the crate/package
+name=$1
+# version of the crate/package
+version=$2
+# commit to target (latest == master)
+commit=$3
+# path to the spec file on the pc
+path_to_spec=$4
+# repo link
+repo=$5
+
+LATEST="latest"
+
+# Clone repo and cd into it
+mkdir $name-$version && cd $name-$version && git clone --recurse-submodules $repo .
+
+# Get latest commit hash if commit is set to latest
+if [[ "$commit" == "$LATEST" ]]
+then
+    commit=$(git rev-parse HEAD)
+fi
+
+# Short commit, used for versioning
+short_commit=${commit:0:6}
+
+# Reset to specified commit
+git reset --hard $commit
+
+# Go back to parent directory
+cd ..
+
+# Zip source
+tar -pcJf $name-$version.tar.xz $name-$version
+rm -rf $name-$version
+
+# Get specfile
+cp $path_to_spec $name.spec 2>/dev/null || :
+
+# Make replacements to specfile
+sed -i "/^%global ver / s/.*/%global ver $version/" $name.spec
+sed -i "/^%global commit / s/.*/%global commit $commit/" $name.spec
+current_date=$(date +'%Y%m%d.%H')
+sed -i "/^%global date / s/.*/%global date $current_date/" $name.spec
+
+
+ls -a
+pwd
+
+echo Done! $1 $2 $3 $4 $5
\ No newline at end of file

